org.wildfly.swarm.microprofile.openapi.api.models.media

## Class ContentImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,MediaType>
      - - org.wildfly.swarm.microprofile.openapi.api.models.media.ContentImpl

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,MediaType>, ModelImpl

      public class ContentImpl
      extends LinkedHashMap<String,MediaType>
      implements ModelImpl

  An implementation of the `Content` OpenAPI model interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Content` | `addMediaType(String name, MediaType mediaType)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### ContentImpl

          public ContentImpl()

  - ### Method Detail

    - #### addMediaType

          public Content addMediaType(String name,
                                      MediaType mediaType)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Content#addMediaType(java.lang.String, org.eclipse.microprofile.openapi.models.media.MediaType)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.